# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = @host_alias@
host_triplet = @host@
APACHE_DIR = @APACHE_DIR@
APXS = @APXS@
AS = @AS@
CAT = @CAT@
CC = @CC@
CFLAGS = @CFLAGS@
CHMOD = @CHMOD@
CUT = @CUT@
DLLTOOL = @DLLTOOL@
ECHO = @ECHO@
EXAMPLE_DIR = @EXAMPLE_DIR@
FALSE = @FALSE@
FIND = @FIND@
GREP = @GREP@
HEAD = @HEAD@
JAR_SIGNER = @JAR_SIGNER@
JAVACX_OPT = @JAVACX_OPT@
JDK_HOME = @JDK_HOME@
JSERV_CLASSES = @JSERV_CLASSES@
JSERV_CONF = @JSERV_CONF@
JSERV_DIR = @JSERV_DIR@
JSERV_LOG = @JSERV_LOG@
JSERV_REPO = @JSERV_REPO@
LD = @LD@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LOAD_OR_NOT = @LOAD_OR_NOT@
MAKE = @MAKE@
MAKEINFO = @MAKEINFO@
NM = @NM@
OBJDUMP = @OBJDUMP@
OVERVIEW = @OVERVIEW@
PACKAGE = @PACKAGE@
PERL = @PERL@
RANLIB = @RANLIB@
RM = @RM@
RMIC = @RMIC@
RMICX = @RMICX@
SED = @SED@
SYSCONFDIR = @SYSCONFDIR@
TARGET_CLASSPATH = @TARGET_CLASSPATH@
TOUCH = @TOUCH@
TR = @TR@
TURBO = @TURBO@
VERSION = @VERSION@

LIBEXECDIR = @LIBEXECDIR@
TEST = @TEST@
CP = @CP@

SRCS = mod_jserv.c      jserv_protocols.c jserv_ajpv11.c jserv_ajpv12.c      jserv_balance.c jserv_mmap.c jserv_watchdog.c      jserv_utils.c jserv_status.c      jserv_wrapper.c jserv_wrapper_unix.c      jserv_image.c


HDRS = jserv_wrapper.h
APACHE_FILES = Makefile.tmpl Makefile.libdir libjserv.module

EXTRA_DIST = ${APACHE_FILES} ${HDRS} jserv_shmedit.c

libjserv_la_LDFLAGS = -avoid-version -o libjserv.la -rpath ${LIBEXECDIR}

@MAKE_LIBJSERV_TRUE@noinst_LTLIBRARIES = libjserv.la
@MAKE_LIBJSERV_TRUE@libjserv_la_SOURCES = ${SRCS}

@MAKE_LIBJSERV_TRUE@MODSO = mod_jserv.so
@MAKE_LIBJSERV_TRUE@LIBJSO = libjserv.so
@MAKE_LIBJSERV_TRUE@LIBJSO_VER = libjserv.so.0.0
@MAKE_LIBJSERV_TRUE@LIBJA = libjserv.a
@MAKE_LIBJSERV_TRUE@LIBJSL = libjserv.sl

@MAKE_LIBJSERV_FALSE@noinst_LIBRARIES = libjserv.a
@MAKE_LIBJSERV_FALSE@libjserv_a_SOURCES = ${SRCS}
mkinstalldirs = $(SHELL) $(top_srcdir)/src/scripts/build/unix/mkinstalldirs
CONFIG_CLEAN_FILES =  jserv.h
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) 
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libjserv_a_LIBADD = 
@MAKE_LIBJSERV_FALSE@libjserv_a_OBJECTS =  mod_jserv.o jserv_protocols.o \
@MAKE_LIBJSERV_FALSE@jserv_ajpv11.o jserv_ajpv12.o jserv_balance.o \
@MAKE_LIBJSERV_FALSE@jserv_mmap.o jserv_watchdog.o jserv_utils.o \
@MAKE_LIBJSERV_FALSE@jserv_status.o jserv_wrapper.o \
@MAKE_LIBJSERV_FALSE@jserv_wrapper_unix.o jserv_image.o
AR = ar
LTLIBRARIES =  $(noinst_LTLIBRARIES)

libjserv_la_LIBADD = 
@MAKE_LIBJSERV_TRUE@libjserv_la_OBJECTS =  mod_jserv.lo \
@MAKE_LIBJSERV_TRUE@jserv_protocols.lo jserv_ajpv11.lo jserv_ajpv12.lo \
@MAKE_LIBJSERV_TRUE@jserv_balance.lo jserv_mmap.lo jserv_watchdog.lo \
@MAKE_LIBJSERV_TRUE@jserv_utils.lo jserv_status.lo jserv_wrapper.lo \
@MAKE_LIBJSERV_TRUE@jserv_wrapper_unix.lo jserv_image.lo
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --mode=compile $(CC) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in jserv.h.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
SOURCES = $(libjserv_a_SOURCES) $(libjserv_la_SOURCES)
OBJECTS = $(libjserv_a_OBJECTS) $(libjserv_la_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu --include-deps src/c/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

jserv.h: $(top_builddir)/config.status jserv.h.in
	cd $(top_builddir) && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status

mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.c.o:
	$(COMPILE) -c $<

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.c.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

libjserv.a: $(libjserv_a_OBJECTS) $(libjserv_a_DEPENDENCIES)
	-rm -f libjserv.a
	$(AR) cru libjserv.a $(libjserv_a_OBJECTS) $(libjserv_a_LIBADD)
	$(RANLIB) libjserv.a

mostlyclean-noinstLTLIBRARIES:

clean-noinstLTLIBRARIES:
	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)

distclean-noinstLTLIBRARIES:

maintainer-clean-noinstLTLIBRARIES:

libjserv.la: $(libjserv_la_OBJECTS) $(libjserv_la_DEPENDENCIES)
	$(LINK)  $(libjserv_la_LDFLAGS) $(libjserv_la_OBJECTS) $(libjserv_la_LIBADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src/c

distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
jserv_ajpv11.o: jserv_ajpv11.c jserv.h
jserv_ajpv12.o: jserv_ajpv12.c jserv.h
jserv_balance.o: jserv_balance.c jserv.h
jserv_image.o: jserv_image.c jserv.h
jserv_mmap.o: jserv_mmap.c jserv.h
jserv_protocols.o: jserv_protocols.c jserv.h
jserv_shmedit.o: jserv_shmedit.c jserv.h
jserv_status.o: jserv_status.c jserv.h
jserv_utils.o: jserv_utils.c jserv.h
jserv_watchdog.o: jserv_watchdog.c jserv.h
jserv_wrapper.o: jserv_wrapper.c jserv_wrapper.h jserv.h
jserv_wrapper_unix.o: jserv_wrapper_unix.c jserv.h jserv_wrapper.h
mod_jserv.o: mod_jserv.c jserv.h

info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am: install-data-local
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(LIBRARIES) $(LTLIBRARIES)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-libtool mostlyclean-noinstLTLIBRARIES \
		mostlyclean-tags mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstLIBRARIES clean-compile clean-libtool \
		clean-noinstLTLIBRARIES clean-tags clean-generic \
		mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstLIBRARIES distclean-compile \
		distclean-libtool distclean-noinstLTLIBRARIES \
		distclean-tags distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-noinstLTLIBRARIES \
		maintainer-clean-tags maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile mostlyclean-libtool distclean-libtool \
clean-libtool maintainer-clean-libtool mostlyclean-noinstLTLIBRARIES \
distclean-noinstLTLIBRARIES clean-noinstLTLIBRARIES \
maintainer-clean-noinstLTLIBRARIES tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir info-am info dvi-am dvi check \
check-am installcheck-am installcheck install-exec-am install-exec \
install-data-local install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


jserv_shmedit:
	${CC} jserv_shmedit.o jserv_mmap.o -o jserv_shmedit -lnsl

@MAKE_LIBJSERV_TRUE@install-data-local:
@MAKE_LIBJSERV_TRUE@	@echo ""
@MAKE_LIBJSERV_TRUE@	@echo "Copying files to Apache Modules Directory..."
@MAKE_LIBJSERV_TRUE@	${top_srcdir}/src/scripts/build/unix/mkinstalldirs $(DESTDIR)${LIBEXECDIR}

@MAKE_LIBJSERV_TRUE@	# on AIX, the .so file is created with a number, ie:
@MAKE_LIBJSERV_TRUE@	# libjserv.so.0.0.0. It seems as though on though a libjserv.a
@MAKE_LIBJSERV_TRUE@	# file is also created (and on Solaris, the .a file isn't created)
@MAKE_LIBJSERV_TRUE@	# so check for that to make things work.
@MAKE_LIBJSERV_TRUE@	# HPUX uses .sl
@MAKE_LIBJSERV_TRUE@	@ if ${TEST} -e ./.libs/${LIBJA} ; then \
@MAKE_LIBJSERV_TRUE@		echo "${CP} ./.libs/${LIBJA} $(DESTDIR)${LIBEXECDIR}/${MODSO}" ; \
@MAKE_LIBJSERV_TRUE@		${CP} ./.libs/${LIBJA} $(DESTDIR)${LIBEXECDIR}/${MODSO} ; \
@MAKE_LIBJSERV_TRUE@        elif ${TEST} -e ./.libs/${LIBJSO} ; then \
@MAKE_LIBJSERV_TRUE@		echo "${CP} ./.libs/${LIBJSO} $(DESTDIR)${LIBEXECDIR}/${MODSO}" ; \
@MAKE_LIBJSERV_TRUE@		${CP} ./.libs/${LIBJSO} $(DESTDIR)${LIBEXECDIR}/${MODSO} ; \
@MAKE_LIBJSERV_TRUE@        elif ${TEST} -e ./.libs/${LIBJSL} ; then \
@MAKE_LIBJSERV_TRUE@		echo "${CP} ./.libs/${LIBJSL} $(DESTDIR)${LIBEXECDIR}/${MODSO}" ; \
@MAKE_LIBJSERV_TRUE@		${CP} ./.libs/${LIBJSL} $(DESTDIR)${LIBEXECDIR}/${MODSO} ; \
@MAKE_LIBJSERV_TRUE@	elif ${TEST} -e ./.libs/${LIBJSO_VER} ; then \
@MAKE_LIBJSERV_TRUE@		echo "${CP} ./.libs/${LIBJSO_VER} $(DESTDIR)${LIBEXECDIR}/${MODSO}" ; \
@MAKE_LIBJSERV_TRUE@		${CP} ./.libs/${LIBJSO_VER} $(DESTDIR)${LIBEXECDIR}/${MODSO} ; \
@MAKE_LIBJSERV_TRUE@	else \
@MAKE_LIBJSERV_TRUE@		echo "Could not find and install the shared library." ; \
@MAKE_LIBJSERV_TRUE@		echo "Please check in the src/c/.libs directory for it." ; \
@MAKE_LIBJSERV_TRUE@		echo "Chances are that your system created it with a " ; \
@MAKE_LIBJSERV_TRUE@		echo "different name than what we expected." ; \
@MAKE_LIBJSERV_TRUE@	fi
@MAKE_LIBJSERV_TRUE@	@echo ""

@MAKE_LIBJSERV_FALSE@install-data-local:
@MAKE_LIBJSERV_FALSE@	@echo ""
@MAKE_LIBJSERV_FALSE@	@echo "Copying files to Apache Modules Directory..."
@MAKE_LIBJSERV_FALSE@	${CP} ${APACHE_FILES} ${APACHE_DIR}/src/modules/jserv
@MAKE_LIBJSERV_FALSE@	${CP} ${noinst_LIBRARIES} ${APACHE_DIR}/src/modules/jserv
@MAKE_LIBJSERV_FALSE@	@echo ""
@MAKE_LIBJSERV_FALSE@	@echo "Please be sure to re-compile Apache..."
@MAKE_LIBJSERV_FALSE@	@echo ""
@MAKE_LIBJSERV_FALSE@	@echo "cd ${APACHE_DIR}"
@MAKE_LIBJSERV_FALSE@	@echo "./config-status --activate-module=src/modules/jserv/libjserv.a"
@MAKE_LIBJSERV_FALSE@	@echo "make"
@MAKE_LIBJSERV_FALSE@	@echo ""

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
